CUDA9.2 在1070maxq下的安装

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/dickwinters2011/article/details/81980263

-安装CUDA9.2

在安装CUDA9.2时,提示显卡驱动不兼容该显卡,可以继续安装,但是可能无法使用CUDA。
这种情况可能是由于显卡新于该工具包,在这种情况下,建议保留现有驱动并安装CUDA工具包的剩余部分。
显卡驱动不兼容该显卡
在Nvidia官网查看CUDA支持的硬件的时候,发现确实没有提及带有MAXQ设计的显卡,不过在翻论坛时找到一个回复说其实MAXQ显卡也可以使用CUDA,而且我在查看我的1070MQ显卡配置时确实有看到一个CUDA核心的选项
https://devtalk.nvidia.com/default/topic/1027365/cuda-setup-and-installation/gtx1060-maxq-can-t-support-cuda8-0-/?offset=5#5277627

- 根据提示取消勾选显卡驱动

自定义安装选项

- 选择安装位置

安装位置

- 下载中

-下载中
我选择的版本是在线安装版,如果选择1.5G大小的离线安装版可以不需要再下载

- 安装成功

  • 安装完成
    在这里其实我安装失败过一次 提示状态都是未安装
    然后从头开始重新来了一遍就好了

- 运行实例

勾选启动实例,试运行一下
Launch Examples
这里的例子我第一次没跑成,提示报错
报错
然后按照Nvidia的安装指导,那里面试运行的例子是
运行实例
我的visual studio是2017版本,运行nbody_vs2017.vcxproj
rebuild一下
vs2017界面
运行结果
运行结果
因为之前没有使用过CUDA,不知道实际应该怎么样,但是看到弹出的框标题是CUDA..大概就是有在调用CUDA进行运算,所以说明CUDA安装成功了

- VS提示SDK版本不匹配

原始例程的版本是10.0.15063
原始SDK版本
这个跟你的VS安装的SDK很有可能不匹配,导致无法运行
这时候需要手动切换到你安装的SDK版本
在工程名上右键-属性
切换
配置属性-常规-Windows SDK版本 选择已经安装的SDK版本
这里写图片描述

展开阅读全文

没有更多推荐了,返回首页